library(tidyverse)
library(demography)
library(StMoMo)
library(readxl)

acc <- read_excel("~/Lavori 2020/Modellistica covid/Acceleration_covid_Salvatore.xlsx")

Italy=read.demogdata("Mxita_1x1.txt", "Exposuresita_1x1.txt",type="mortality", label="italy")
ITA=extract.years(Italy, 1950:2017)
fit.tot=lca(ITA, series="total", max.age = 104)
forecast.tot=forecast(fit.tot, 73)
life <- lifetable(forecast.tot)
lx <- life$lx[,4:73]

lx <- as.data.frame(cbind(age = as.numeric(rownames(lx)), lx)) %>%
  mutate(cleta = as.character(ifelse(age <=9, "0-9",
                                     ifelse(age <= 19, "10-19",
                                            ifelse(age <= 29, "20-29",
                                                   ifelse(age <= 39, "30-39",
                                                          ifelse(age <= 49, "40-49",
                                                                 ifelse(age <= 59, "50-59",
                                                                        ifelse(age <= 69, "60-69",
                                                                               ifelse(age <= 79, "70-79",
                                                                                      ifelse(age <= 89, "80-89", "90+"
                                                                                      )))))))))))


lx_acc <- inner_join(lx, acc) %>%
  mutate_at(vars(2:41), funs(as.numeric(.)/acc))
